--api-keys = open_access
--cluster-mode = true
--debug = 'server,xmpp.impl,net.IOService,net,auth'
--hardened-mode = true
--packet.debug.full = true
--s2s-skip-tls-hostnames = 'axeos.nl,jit.si,gmail.com,unir.se'
--vhost-register-enabled = false
--virt-hosts = 'tigase.org,hefczyc.net,malkowscy.net,tigase.net'
admins = [
    'kobit@tigase.org',
    'wojtek@tigase.org',
    'bmalkow@malkowscy.net',
    'etd@tigase.org',
    'andrzej.wojcik@tigase.org',
    'wojciech.kapcia@tigase.org',
    'daniel@tigase.org'
]
'config-type' = '--gen-config-def'
dataSource {
    default () {
        uri = 'jdbc:mysql://198.27.120.213/tigasedb_tpubw?user=tigasetpubw&password=tigasetpubw&useSSL=false'
    }
}
amp () {}
'basic-conf' {
    'demo-mode' = true
    logging {
        java.util.logging.FileHandler.count = '20'
        java.util.logging.FileHandler.limit = '500000000'
    }
}
bosh {
    'concurrent-requests' = 8
}

'urn:xmpp:sm:3' () {}

c2s {
    	'urn:xmpp:sm:3' {
		'max-resumption-timeout' = 3600
		'resumption-timeout' = 90
	}
}
'cl-comp' {
    'cluster-connections-per-node' = 2
}
ext (class: tigase.server.ext.ComponentProtocol) {}

httpServer (class: tigase.http.jetty.JettyStandaloneHttpServer) {}


http {
    http {
        'request-timeout' = '120000'
        threads = '8'
    }
    rest {
        'api-keys' = [ 'open_access:regex=/rest/licence/.+' ]
    }
}
licenceserver (class: tigase.licenceserver.LicenceServerComponent) {
    customerIDMailer {
        fromAddress = 'tigase@tigase.net'
        smtpHost = 'localhost'
        smtpPassword = 'tigaseesagit'
        smtpPort = '587'
        smtpUsername = 'tigase'
    }
    legacyLicences {
        dir = '/home/tigase/tigase-licences/legacy/'
    }
    licenceGenerator {
        keystoreFile = '/home/tigase/client-licenses/tigase_licence.keystore'
        keystoreKeyAlias = 'mykey'
        keystorePassword = 'alamakota'
    }
    licenceRepository {
        directory = '/home/tigase/tigase-licences'
    }
    mailer {
        adminMail = [ 'team@tigase.org' ]
        fromAddress = 'tigase@tigase.net'
        smtpHost = 'mail.tigase.org'
        smtpPassword = 'tigaseesagit'
        smtpPort = '587'
        smtpUsername = 'tigase'
    }
}
'message-archive' (class: tigase.archive.MessageArchiveComponent) {}
monitoring () {
    jmx () {
        port = '9050'
    }
    snmp () {
        port = '1616'
    }
}
muc () {
    'message-filter-enabled' = false
    'muc-strategy-class' = 'tigase.muc.cluster.ClusteredRoomStrategyV2'
    'ping-every-minute' = true
}
proxy () {
    'repo-url' = 'jdbc:mysql://t2.tigase.org/tigase_xmpp?user=t2drupal&password=treeswood'
    'socks5-repo-cls' = 'tigase.socks5.repository.JDBCSocks5Repository'
    'verifier-class' = 'tigase.socks5.verifiers.LimitsVerifier'
    'verifier-params' {
        'default-domain-limit' = 52428800L
    }
}
pubsub () {}
'sess-man' {
    'jabber:iq:register' (active: false) {}
    'spam-filter' () {}
    amp {
        threadsNo = 4
    }
    presence {
        'skip-offline' = 'false'
        'skip-offline-sys' = 'false'
    }
    'spam-filter' {
        'known-spammers-print-spammers' = true
        'message-same-long-body-number-limit' = 6
    }
    strategy (class: tigase.server.cluster.strategy.OnlineUsersCachingStrategy) {}
}
stats {
    'stats-history-size' = '2160'
    'stats-update-interval' = '10'
}
stun (class: tigase.stun.StunComponent) {
    'stun-primary-ip' = '94.23.230.214'
    'stun-primary-port' = 3478
    'stun-secondary-ip' = '198.27.120.208'
    'stun-secondary-port' = 7001
}
